/* CSS Document */
*, *::after, *::before {
  box-sizing: border-box;
}

/* Generic styling */
* {}

html {
  font-family: MaisonNeue, HelveticaNeue, Helvetica, Arial, sans-serif;
  color: #0C3338;
}

body {
  font-size: 100%;
  display: block;
  margin: 0;
}

ul {
  list-style-type: none;
}

a {
  text-decoration: none;
}

p {
  margin: 0;
}

/*----------------------------------------Header styling------------------------------------------*/
/*----------------------------nav styling-----------------------------*/
nav {
  width: 100%;
  padding: 0;
  margin: 0;
}

nav section:first-of-type {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  padding-left: 1.25em;
  padding-right: 1.25em;
}

/*Crisp logo image styling*/
nav section:first-of-type a img {
  height: 100%;
  width: 6.5em;
  padding: 0;
}

nav section:first-of-type a {
  margin-top: 2em;
  margin-right: 6em;
}

/*styling voor toegankelijkheid van element*/
nav section:first-of-type a:focus,
nav section:first-of-type a:active {
  outline: none;
  background-color: rgba(0,56,64,.1);
  padding: .5em;
  border-radius: .5em;
}

/*------------------hamburger menu styling-----------------*/
#hamburgermenu {
  width: 1.25em;
  height: 100%;
  margin-right: .8em;
  margin-top: 2em;
  z-index: 1;
}

/*styling hamburger menu dat wordt toegevoegd na click event in JS*/
#hamburgermenu.menufixed {
  position: fixed;
  right: 0;
  margin-right: 2em;
  margin-top: 1em;
}

/*styling menu ul en buiten de viewport plaatsen*/
nav section:last-of-type {
  position: fixed;
  background-color: #ffffff;
  bottom: 0;
  top: 0;
  right: 0;
  left: 0;
  margin: 0;
  padding: 0;
  transform: translateY(-100%);
}

/*styling menu ul na click event in JS, menu binnen viewport plaatsen*/
nav section:last-of-type.clickedMenu {
  position: fixed;
  background-color: #ffffff;
  bottom: 0;
  top: 0;
  right: 0;
  left: 0;
  margin: 0;
  padding: 0;
  transform: translateY(0%);
}

nav ul {
  display: flex;
  flex-direction: column;
  flex: 1 1 0;
  justify-content: flex-start;
  align-items: flex-start;
  margin: 0;
  padding: 3.2em 1.25em 0;
}

nav li {
  margin-left: 1.9em;
  margin-top: 1.9em;
}

nav li a {
  color: #0C3338;
  font-size: 1.6em;
  margin-left: .9em;
  padding: 1.25em 0 .3em;
}

/*styling voor toegankelijkheid van element*/
nav li a:focus,
nav li a:active {
  outline: none;
  color: rgba(0,56,64,.5);
}

nav li:nth-of-type(5) a {
  padding-bottom: .1em;
  border-bottom: .15em solid #003A40;
}

/*-----------------------------------header general styling------------------------------------*/
header {
  background-color: #d0daec;
  width: 100%;
  height: auto;
  min-height: 47.5em;
  background-image: url("https://crisp.nl/asset/mS7AY2RJi12PeMxa");
  background-position: 100% 100%;
  background-repeat: no-repeat;
  background-size: 20em;
}

#headersection {
  padding: 5.6em 1.25em 0;
  display: flex;
  flex-direction: column;
  color: #355154;
}

header section h2 {
  font-size: 1.9em;
  line-height: 2.25em;
  font-weight: bold;
  margin: 0;
  padding: 0;
  color: #0C3338;
}

header section section {
  display: flex;
  flex-direction: column;
}

header article {
  margin: 0 2.5em 2.5em 0;
}

header article h3 {
  font-weight: bold;
  margin-bottom: 1.1em;
  margin-right: 1.1em;
  margin-top: 0;
}

/*-------------------styling first section-------------------*/
header section section:first-of-type {
  margin-top: 5.5em;
}

header section section:first-of-type article:first-of-type {
  display: flex;
  flex-direction: column;
}

header section section:first-of-type article:first-of-type p {
  font-size: .9em;
  line-height: 1.2em;
  margin: 0;
}

header section section:first-of-type article:first-of-type p:first-of-type {
  width: 100%;
  max-width: 13em;
}

header section section:first-of-type article:first-of-type p:nth-of-type(2) {
  font-weight: bold;
  font-size: 1.1em;
  line-height: 1.2em;
  margin: .6em 0;
}

header section section:first-of-type article:first-of-type p:nth-of-type(2) a {
  text-decoration: none;
  cursor: pointer;
  color: #355154;
}

/*styling voor toegankelijkheid van element*/
header section section:first-of-type article:first-of-type p:nth-of-type(2) a:hover {
  color: #ec0c00;
}

header section section:first-of-type article:first-of-type p:nth-of-type(2) a:focus,
header section section:first-of-type article:first-of-type p:nth-of-type(2) a:active {
  outline: none;
  color: rgba(0,56,64,.5);
}

/*styling article:nth-of-type(2) --> E-mail*/
header section section:first-of-type article:nth-of-type(2) p a {
  color: #355154;
  font-size: 1.1em;
}

/*styling voor toegankelijkheid van element*/
header section section:first-of-type article:nth-of-type(2) p a:hover {
  color: #ec0c00;
}

header section section:first-of-type article:nth-of-type(2) p a:focus,
header section section:first-of-type article:nth-of-type(2) p a:active {
  outline: none;
  color: rgba(0,56,64,.5);
}

header section section:first-of-type article:last-of-type {
  display: flex;
  flex-direction: column;
}

header section section:first-of-type article:last-of-type p {
  flex-wrap: wrap;
  flex-grow: 1;
  font-size: .9em;
}

/*-------------------styling last section-------------------*/
/*styling voor toegankelijkheid van element*/
header section section:last-of-type article:first-of-type a img {
  margin-right: 1.25em;
}

/*styling voor toegankelijkheid van element*/
header section section:last-of-type article:first-of-type a img:hover {
  background-color: #ec0c00;
  padding: .2em;
  border-radius: .3em;
}

header section section:last-of-type article:first-of-type a:focus,
header section section:last-of-type article:first-of-type a:active {
  outline: none;
  background-color: rgba(173,223,173,.5);
  padding: .2em;
  border-radius: .3em;
}

header section section:last-of-type article:last-of-type a img {
  margin-right: .6em;
  margin-bottom: 1em;
}

/*styling voor toegankelijkheid van element*/
header section section:last-of-type article:last-of-type a img:hover {
  background-color: #ec0c00;
  padding: .2em;
  border-radius: .3em;
}

header section section:last-of-type article:last-of-type a:focus,
header section section:last-of-type article:last-of-type a:active {
  outline: none;
  background-color: rgba(0,56,64,.1);
  padding: .2em;
  border-radius: .3em;
}

/*------------------------------------main styling--------------------------------------*/
/*main content vastzetten na click event van hamburgermenu in JS*/
.mainfixed {
  position: fixed;
}

/*----------------------styling first section-----------------------*/
main section:first-of-type {
  padding: 0 1.25em;
  margin: 2.5em 0;
  display: flex;
  flex-direction: column;
  flex: 1 1 0;
}

main section:first-of-type article:first-of-type {
  margin-right: 2.5em;
}

main section:first-of-type article:first-of-type h3 {
  font-size: 1.3em;
  font-weight: bold;
  margin-bottom: 1em;
  margin-top: 0;
}

main section:first-of-type article:first-of-type p {
  font-size: 1em;
  line-height: 1.25em;
  max-width: 26.25em;
  margin: 0;
}

main section:first-of-type form {
  margin-top: 3.75em;
  display: flex;
  flex-direction: column;
}

main section:first-of-type form label {
  display: flex;
  flex-direction: column;
  font-size: .8em;
  color: #A5A8A8;
  margin: 0 1.5em 3.1em 0;
  width: 100%;
}

main section:first-of-type form label input {
  border: none;
  border-bottom: .06em solid #00000033;
  padding: 1.25em .6em .3em 0;
}

/*styling voor toegankelijkheid van element*/
main section:first-of-type form label input:hover {
  background-color: rgba(0,57,64,.1);
  cursor: pointer;
}

main section:first-of-type form label input:focus,
main section:first-of-type form label input:active {
  outline: none;
  background-color: rgba(0,57,64,.1);
  border-radius: .5em .5em 0 0;
}

main section:first-of-type form textarea {
  border: .06em solid #00000033;
  padding: 1.25em;
  border-radius: .1em;
  height: auto;
  width: 100%;
}

/*styling voor toegankelijkheid van element*/
main section:first-of-type form textarea:hover {
  background-color: rgba(0,57,64,.1);
  cursor: pointer;
}

main section:first-of-type form textarea:focus,
main section:first-of-type form textarea:active {
  outline: none;
  background-color: rgba(0,57,64,.1);
}

/*styling placeholder of textarea form*/
main section:first-of-type form textarea::placeholder {
  color: #00000030;
  font-family: Arial;
  font-size: 1.25em;
  font-weight: bolder;
}

/*styling van de input submit button via attribute*/
input[type="submit"] {
  color: white;
  background-color: #FF5C53;
  text-align: center;
  font-size: 1.1em;
  font-weight: bold;
  max-width: 11em;
  min-width: 8em;
  width: 100%;
  border: none;
  border-radius: .1em;
  padding: .7em .1em;
  margin-top: 1.25em;
  align-self: flex-end;
}

/*styling voor toegankelijkheid van element*/
input[type="submit"]:hover {
  background-color: #ec0c00;
  box-shadow:inset -.2em -.2em rgba(0,0,0,.25);
  border-radius: .3em;
  cursor: pointer;
}

input[type="submit"]:focus {
  background-color: rgba(0,57,64,.8);
  outline: none;
}

input[type="submit"]:active {
  background-color: Navy;
  outline: none;
}

main section:first-of-type article:last-of-type {
  display: none;
}

main section:first-of-type article:last-of-type.feedback {
  display: block;
}

/*------------------------styling last section----------------------*/
main section:last-of-type {
  display: flex;
  flex-direction: column;
  background: linear-gradient(#2e7a6e 40%,
    #8bccbb 100%)
}

main section:last-of-type article:first-of-type {
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-top: 3.1em;
  margin-bottom: 5em;
  padding-left: 1.25em;
  padding-right: 1.25em;
}

main section:last-of-type article:first-of-type h3 {
  color: white;
  font-size: 1.8em;
  margin: 0;
}

main section:last-of-type article:first-of-type a {
  font-size: 21px;
  line-height: 28px;
  margin-bottom: 0;
  color: #024852;
  width: 100%;
  min-width: 12.5em;
  max-width: 15em;
}

main section:last-of-type article:first-of-type a button {
  background-color: #FF5C53;
  text-decoration: none;
  border: none;
  border-radius: 2px;
  height: 3.1em;
  width: 100%;
  color: #ffffff;
  font-weight: bold;
  font-size: 17px;
  margin-top: .5em;
}

/*styling voor toegankelijkheid van element*/
main section:last-of-type article:first-of-type a button:hover {
  background-color: #ec0c00;
  box-shadow:inset -.2em -.2em rgba(0,0,0,.25);
  border-radius: .3em;
  cursor: pointer;
}

main section:last-of-type article:first-of-type a button:focus {
  background-color: rgba(0,57,64,.8);
  outline: none;
}

main section:last-of-type article:first-of-type a button:active {
  background-color: Navy;
  outline: none;
}

main section:last-of-type article:first-of-type p {
  color: white;
  font-size: .90em;
  font-weight: normal;
  line-height: 1.25em;
  margin-top: .9em;
}

main section:last-of-type article:last-of-type {
  display: flex;
  justify-content: center;
}

main section:last-of-type article:last-of-type img {
  width: 22em;
  height: 32em;
}

/*----------------------------------------footer-----------------------------------------*/
footer {
  background-color: #003A40;
  padding-bottom: 1.25em;
}

footer section {
  display: flex;
  align-items: center;
  justify-content: center;
  flex-direction: column;
}

/*----------------------styling first article-----------------------*/
footer article:first-of-type {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  width: 100%;
  border: .1em solid #ffffff33;
  padding: 1.25em;
}

footer article:first-of-type img {
  width: 6.5em;
  margin-right: .5em;
}

footer article:first-of-type p {
  font-size: 1.2em;
  color: white;
  line-height: 1.2em;
  font-weight: normal;
  width: 100%;
  max-width: 7em;
  margin-left: .5em;
}

/*----------------------styling second article-----------------------*/
footer article:nth-of-type(2) {
  display: flex;
  flex-direction: column;
  margin: 2.5em 0 1.25em;
}

footer article:nth-of-type(2) p:first-of-type {
  color: white;
  margin: 0;
  margin-bottom: .9em;
  font-weight: bold;
}

footer article:nth-of-type(2) p:first-of-type a {
  color: white;
  text-decoration: none;
  padding: 0;
}

/*styling voor toegankelijkheid van element*/
footer article:nth-of-type(2) p:first-of-type a:hover {
  color: #ec0c00;
}

footer article:nth-of-type(2) p:first-of-type a:focus,
footer article:nth-of-type(2) p:first-of-type a:active {
  outline: none;
  color: rgba(173,223,173,.5);
}

/*aanspreken van twee elementen tegelijk*/
footer article:nth-of-type(2) p:nth-of-type(2), article:nth-of-type(2) p:nth-of-type(3) {
  color: white;
  margin: 0;
  font-weight: normal;
}

footer article:nth-of-type(2) section:last-of-type {
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  margin-top: 3.1em;
  margin-bottom: 3.1em;
}

footer article:nth-of-type(2) section:last-of-type a {
  padding: .7em .9em;
}

/*styling voor toegankelijkheid van element*/
footer article:nth-of-type(2) section:last-of-type a:hover {
  background-color: #ec0c00;
  padding: .5em .5em;
  border-radius: .5em;
}

footer article:nth-of-type(2) section:last-of-type a:focus,
footer article:nth-of-type(2) section:last-of-type a:active {
  outline: none;
  background-color: rgba(173,223,173,.5);
  border-radius: .5em;
}

/*----------------------styling last article-----------------------*/
footer article:last-of-type {
  color: white;
  font-size: .75em;
  text-align: center;
}

footer article:last-of-type a {
  text-decoration: none;
  color: white;
}

/*styling voor toegankelijkheid van element*/
footer article:last-of-type a:hover {
  color: #ec0c00;
}

footer article:last-of-type a:focus,
footer article:last-of-type a:active {
  outline: none;
  color: ForestGreen;
}

@media all and (min-width: 26.9em)

/*430px*/
  {
/*---------------------------main---------------------------*/
  main section:first-of-type form div {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
  }

  main section:first-of-type form div:last-of-type {
    flex-direction: column;
  }

  main section:first-of-type form label {
    margin-right: 0;
  }

  main section:first-of-type form label:last-of-type {
    margin-left: .5em;
  }

  main section:first-of-type form label:first-of-type {
    margin-right: .5em;
  }
}

@media all and (min-width: 31.25em)

/*500px*/
  {
/*---------------------------header---------------------------*/
  header section:first-of-type {
    padding: 1em 3.1em 0;
  }

  #headersection {
    padding: 4em 3.1em 0;
  }

  header section section:first-of-type {
    padding: 0;
  }

  header section section article h3 {
    margin-right: 1em;
    min-width: 5.5em;
  }

  header section section:first-of-type article:first-of-type {
    flex-direction: row;
  }

  header section section:first-of-type article:nth-of-type(2) {
    display: flex;
    flex-direction: row;
  }

  header section section:first-of-type article:last-of-type {
    flex-direction: row;
  }

  header section section:last-of-type article:first-of-type {
    display: flex;
    flex-direction: row;
  }

  header section section:last-of-type article:last-of-type {
    display: flex;
    flex-direction: row;
  }

  header section section:last-of-type article:last-of-type div {
    display: flex;
    flex-wrap: wrap;
  }

  header {
    background-size: 30em;
  }

/*---------------------------main---------------------------*/
  main section:first-of-type {
    margin: 5em 0;
    padding: 0 3.1em;
  }

/*---------------------------footer---------------------------*/
  footer article:first-of-type img {
    width: 10em;
  }

  footer article:first-of-type p {
    font-size: 1.8em;
    margin-left: 1em;
  }
}

@media all and (min-width: 37.5em)

/*600px*/
  {
/*---------------------------header---------------------------*/
  header section h2 {
    font-size: 3em;
  }

/*---------------------------main---------------------------*/
  main section:first-of-type article:first-of-type h3 {
    font-size: 2.25em;
    margin-bottom: .5em;
  }

  main section:last-of-type {
    background: linear-gradient(270deg, rgb(46,122,110) 40%, rgb(139,204,187) 100%)
  }

  main section:last-of-type article:first-of-type {
     margin-bottom: .5em;
  }
}

@media all and (min-width: 43.75em)

/*700px*/
  {
  header section article:only-of-type {
    display: flex;
    flex-direction: row;
    margin: 0;
    margin-top: 4em;
    justify-content: space-between;
  }

  header section section:first-of-type {
    margin-top: 0;
  }
}

@media all and (min-width: 46.9em)

/*750px*/
  {

  /*---------------------------header---------------------------*/
  nav section:first-of-type {
    padding: 0;
  }

  nav section:first-of-type a {
    padding: 0;
    margin: 0;
  }

  nav section:last-of-type {
    position: relative;
    display: flex;
    background: none;
    transform: translateY(0%);
    padding: 0;
  }

  nav {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    padding: 2em 3.1em;
  }

  nav ul {
    flex-direction: row;
    justify-content: flex-end;
    padding: 0;
    margin-left: .5em;
  }

  nav ul li {
    padding: 0;
    margin: 0;
  }

  nav ul li a {
    font-size: 1em;
  }

  nav ul li a:hover {
    border-bottom: .1em solid #024852;
  }

  /*styling menu ul na click event in JS, menu binnen viewport plaatsen*/
  #hamburgermenu {
    display: none;
  }
}

@media all and (min-width: 50em)

/*800px*/
  {
    main section:first-of-type {
      flex-direction: row;
      justify-content: space-between;
    }

    main section:first-of-type form {
      width: 50%;
    }
}

@media all and (min-width: 56.25em)

/*900px*/
  {
/*---------------------------header---------------------------*/
  header {
    background-size: 38em;
  }

  header article {
    margin-bottom: 4.4em;
  }

/*---------------------------footer---------------------------*/
  footer article:first-of-type {
    padding-top: 1em;
    padding-bottom: 1em;
  }

  footer article:first-of-type p {
    margin-left: 2em;
  }
}

@media all and (min-width: 62.5em)

/*1000px*/
  {
/*---------------------------header---------------------------*/
  #headersection {
    padding-left:  6.25em;
    padding-right:  6.25em;
  }

  nav {
    padding-left:  6.25em;
    padding-right:  6.25em;
  }

/*---------------------------main---------------------------*/
  main section:first-of-type {
    padding-left:  6.25em;
    padding-right:  6.25em;
  }
}

@media all and (min-width: 68.75em)

/*1100px*/
  {
/*---------------------------header---------------------------*/
  header {
    background-size: 50em;
  }

/*---------------------------main---------------------------*/
  main section:last-of-type {
    display: flex;
    flex-direction: row-reverse;
    justify-content: center;
    padding-top: 5em;
  }

  main section:last-of-type article:first-of-type {
    display: flex;
    justify-content: center;
    margin: 0;
    padding-left: 2.5em;
  }
}

@media all and (min-width: 72.5em)

/*1160px*/
  {
  footer article:nth-of-type(2) {
    display: grid;
    grid-template-columns: 20em 1fr 20em;
    width: 80%;
    margin: 0;
  }

  footer article:nth-of-type(2) section:first-of-type {
    align-items: flex-start;
    justify-self: center;
  }
}

@media all and (min-width: 100em)

/*1600px*/
  {
/*---------------------------header---------------------------*/
  nav {
    padding-left: 15.5em;
    padding-right: 15.5em;
  }

  #headersection {
    padding-left: 15.5em;
    padding-right: 15.5em;
  }

/*---------------------------main---------------------------*/
  main section:first-of-type {
    padding-left: 15.5em;
    padding-right: 15.5em;
  }
}
